Bug 480591 - Review Request: ctan-kerkis-fonts - Kerkis type 1 fonts
Review Request: ctan-kerkis-fonts - Kerkis type 1 fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sarantis Paskalis
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477462
  Show dependency treegraph
 
Reported: 2009-01-19 06:13 EST by Sarantis Paskalis
Modified: 2012-09-18 08:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-25 10:16:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sarantis Paskalis 2009-01-19 06:13:53 EST
Spec URL: http://gallagher.di.uoa.gr/any/rpms/ctan-kerkis-fonts/ctan-kerkis-fonts.spec
SRPM URL: http://gallagher.di.uoa.gr/any/rpms/ctan-kerkis-fonts/ctan-kerkis-fonts-2.0-17.fc11.src.rpm

Description: 
Kerkis type 1 fonts for LaTeX.  These fonts are particularly useful 
for typesetting Greek. The Greek repertoire includes full support for
polytonic Greek, Greek numerals, and double forms of several letters
that occur in variant forms.

This is a request for review for renaming the existing tetex-font-cm-lgc
package according to the new font naming guidelines 
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)

Although no official documentation for renaming exists, some mail exchanges
indicate that a full review should take place for the renaming of the package
Comment 1 Nicolas Mailhot 2009-01-19 06:43:05 EST
will work on it this evening (CET)
Comment 2 Nicolas Mailhot 2009-01-19 18:05:01 EST
1. needs _texmf_main defined like cm-lgc

2. rpmlint complains of mixed-use-of-spaces-and-tabs

3. kerkis calligraphic and the small caps variants clearly needs their own subpackage. Please make sure you only group in the same font subpackage fonts of the same family (differing only in weight, width or slant). I didn't check the others

4. the main package does not need to
Requires:       fontpackages-filesystem

5. It's probably a good idea to add fontconfig substitution rules for the URW fonts kerkis is derived of, assuming the Kerkis creators didn't change the design and metrics too much (cf the substitution template in filepackages-devel)

6. please try to get you fontconfig files merged in upstream kerkis once you're happy with them

7. please add your new fonts subpackages to comps
http://fedoraproject.org/wiki/Comps_fonts_rules

8. you obsoletes should be
Obsoletes: tetex-font-kerkis < 2.0-17
to provide an upgrade path to the F10 kerkis package, so this version does not pass rename review
Comment 3 Sarantis Paskalis 2009-01-20 08:31:01 EST
(In reply to comment #2)
> 1. needs _texmf_main defined like cm-lgc

Fixed.

> 2. rpmlint complains of mixed-use-of-spaces-and-tabs

Fixed (probably, local rpmlint does not complain, I could not see where tab was)

> 3. kerkis calligraphic and the small caps variants clearly needs their own
> subpackage. Please make sure you only group in the same font subpackage fonts
> of the same family (differing only in weight, width or slant). I didn't check
> the others

OK with the Calligraphic family.

The SmallCaps files however define the font family to be "Kerkis", and not "Kerkis-SmallCaps" or something like that.  I put it therefore in the -serif subpackage.

The other font files that differentiate themselves are the SemiBold variants, that define a family of "Kerkis-SemiBold".  This however is just another weight (like Bold) as described by the font's authors
(http://www.tug.org/TUGboat/Articles/tb23-3-4/tb75tsol.pdf), so I placed it in the -serif-fonts subpackage 

> 4. the main package does not need to
> Requires:       fontpackages-filesystem

Fixed.

> 5. It's probably a good idea to add fontconfig substitution rules for the URW
> fonts kerkis is derived of, assuming the Kerkis creators didn't change the
> design and metrics too much (cf the substitution template in
> filepackages-devel)

Added some substitution rules for the font family names as displayed in Gnome Character Map.
 
> 6. please try to get you fontconfig files merged in upstream kerkis once you're
> happy with them

It's kind of dead upstream, and considering that the primary force to create the font was the usage in LaTeX, I don't think I will be very successful.  I will try though.

> 7. please add your new fonts subpackages to comps
> http://fedoraproject.org/wiki/Comps_fonts_rules

Will do as soon as there are rawhide rpms.

> 8. you obsoletes should be
> Obsoletes: tetex-font-kerkis < 2.0-17
> to provide an upgrade path to the F10 kerkis package, so this version does not
> pass rename review

Fixed.

New spec and srpm in the same location 
http://gallagher.di.uoa.gr/any/rpms/ctan-kerkis-fonts/
Comment 4 Nicolas Mailhot 2009-01-21 17:23:02 EST
(In reply to comment #3)
> (In reply to comment #2)

> > 3. kerkis calligraphic and the small caps variants clearly needs their own
> > subpackage. Please make sure you only group in the same font subpackage fonts
> > of the same family (differing only in weight, width or slant). I didn't check
> > the others
> 
> OK with the Calligraphic family.
> 
> The SmallCaps files however define the font family to be "Kerkis", and not
> "Kerkis-SmallCaps" or something like that.  I put it therefore in the -serif
> subpackage.

Ok. However please note that both the w3c (in CSS) and Microsoft (in its whitepaper to new fonts authors) only define weight, width or slant as selection axis for font faces within a font family. So if the font files were created today, small caps would be a different font family.

> It's kind of dead upstream, and considering that the primary force to create
> the font was the usage in LaTeX, I don't think I will be very successful.  I
> will try though.

xetex uses fontconfig IIRC

> New spec and srpm in the same location 
> http://gallagher.di.uoa.gr/any/rpms/ctan-kerkis-fonts/

❉❉❉ APPROVED ❉❉❉
Comment 5 Sarantis Paskalis 2009-01-22 06:19:05 EST
Nicolas, I think you wanted to set the fedora-review+ flag instead of fedora-cvs+

Anyway,

Package Change Request
======================
Package Name: ctan-kerkis-fonts
New Branches: devel
Owners: sarantis

This is a rename request of tetex-font-kerkis for the devel branch only.
Comment 6 Kevin Fenzi 2009-01-22 16:20:47 EST
Nicolas: Can you set this fedora-review: + if you approve it?
Comment 7 Nicolas Mailhot 2009-01-22 16:39:01 EST
(In reply to comment #6)
> Nicolas: Can you set this fedora-review: + if you approve it?

Sorry, my bad
Comment 8 Kevin Fenzi 2009-01-23 18:11:54 EST
cvs done. 

Don't forget to follow the end of life procedure for the old procedure.
Comment 9 Sarantis Paskalis 2009-01-25 10:16:52 EST
Built in rawhide. Added in comps. EOL for tetex-font-kerkis done.

Note You need to log in before you can comment on or make changes to this bug.